/*
	-> Este é um arquivo base para desenvolvimento na camada de API;
	-> Codifique em inglês utilizando os termos definidos no glossário;
	-> Qualquer dúvida contate um AGES 3.
*/
package api

import (
	"institutionMS/layers/service"

	"github.com/gin-gonic/gin"
)

// InstitutionApi is a struct that defines api layer behaviour for institution
type InstitutionApi struct {
	Service service.Service
}

// Create creates an Api router for gin to consume
func (api InstitutionApi) Create(router *gin.Engine) {
	institution := router.Group("/institution")
	{
		institution.GET(":id", api.Service.HandleGet)
		institution.POST("", api.Service.HandlePost)
		institution.PUT(":id", api.Service.HandleUpdate)

	}
}
