/*
	-> Este é um arquivo base para desenvolvimento na camada de Infraestrutura;
	-> Codifique em inglês utilizando os termos definidos no glossário;
	-> Qualquer dúvida contate um AGES 3.
*/
package infrastructure

import "institutionMS/layers/entity"

// DocumentDatabase is a database abstraction at infrastructure layer
type DocumentDatabase interface {
	Connect()
	Collection(database string, collection string)
	Load(id string) *entity.Institution
	Save(institution entity.Institution) (id string)
	Update(id string, institution *entity.Institution) (updated *entity.Institution, err error)
	Disconnect()
}
