/*
	-> Este é um arquivo base para desenvolvimento na camada de Repositório;
	-> Codifique em inglês utilizando os termos definidos no glossário;
	-> Qualquer dúvida contate um AGES 3.
*/
package repository

import "institutionMS/layers/entity"

// Repository is a repository abstraction at repository layer
type Repository interface {
	Load(id string) *entity.Institution
	Save(institution entity.Institution) (id string)
	Update(id string, institution *entity.Institution) (updated *entity.Institution, err error)
}
